Get a list of your orders
GET /order/v1/order
Get a list of your orders based the data entered as a filter.
NOTE: Please, to authenticate use the scope: “api://app-order-prd”
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ”Unique identifier of the order.
IdempotencyKey to filter.
Order code.
Customer email.
Customer name
Customer document number
Order status.
Payment method.
The search start date, in the following format YYYY-MM-DD. It is required if no id, code, or idempotency key is provided.
The search end date, in the following format YYYY-MM-DD. It is required if no id, code, or idempotency key is provided
Field to be used as sort.
Direction of the sort.
The page to return.
The record count per page.
Responses
Section titled “ Responses ”The resource was returned successfully
object
The order list.
object
The id of the order of which to retrieve the details.
The idempotency key of the order.
Order id in your system.
Order status.
The customer info.
object
The name of the customer, e.g.: [John Doe] or [Acme Corporation].
The e-mail address of the Customer.
The type of the Customer.
The document of the Customer.
object
Type of document, used when providing an ID number.
----------------------------
Brasil
----------------------------
CPF
CNPJ
OTHERS
----------------------------
Mexico
----------------------------
CURP,
RFC
The number in the document.
Amount of the order
object
Currency
The amount of the transaction, in minor units. Minor Units Format ------------------ All amount values must be formatted in that currency’s smallest unit. Two-decimal currency (for example Real): R$ 10,95 BRL, amount will be “10.95”. Two-decimal currency (for example US Dollars): $10.95 USD, amount will be “10.95”. Zero-decimal currency (for example Japanese Yen): ¥1095 JPY, amount will be “1095”. Click here to download the latest official ISO 4217 Currency Table, with Minor Units (number of decimal places) per currency
Amount of the order
object
Currency
The amount of the transaction, in minor units. Minor Units Format ------------------ All amount values must be formatted in that currency’s smallest unit. Two-decimal currency (for example Real): R$ 10,95 BRL, amount will be “10.95”. Two-decimal currency (for example US Dollars): $10.95 USD, amount will be “10.95”. Zero-decimal currency (for example Japanese Yen): ¥1095 JPY, amount will be “1095”. Click here to download the latest official ISO 4217 Currency Table, with Minor Units (number of decimal places) per currency
The date the order was created.
The date the order was paid.
The date the order was refunded.
The date the order was expired.
The date the order was compensated.
The date the order was settled.
Payment method.
The payment info.
object
The id of the order of which to retrieve the details.
Link image qrCode.
Data of qrcode.
Base64 of image qrCode.
Deeplink to open binance app to payment.
Universal url to finish the payment.
The URL for order return after payment Done
The barcode of Boleto
QrCode expiration DateTime
The digitable line of Boleto
Payment token used by the payment provider.
Aditional fee
Fixed fee
Variable fee
Amount with tax
The financial Partner of the order.
The date the order was canceled
The error message of the order.
The owner information.
PS: This field is optional, not all payment methods have this information.object
The name of the owner.
The document of the owner.
The bank information of owner.
object
The bank name.
The bank ISPB code.
The bank code, like COMPE.
The account number.
The branch account number.
The pix.
object
The type of pix
The key of pix
The payer information.
PS: This field is optional, not all payment methods have this information.object
Payer name
Payer document
object
The type of document
The number of document
Payer bank data
object
Bank ISPB number
Bank name
Bank branch account number
Bank account number
Bank account type
Bank code (COMPE)
Bank pix data
object
The type of pix
The key of pix
Batch information when this order was split into a batch
object
Id of the batch
Total number of child transactions in the batch
Number of child transactions already paid
Number of child transactions that failed
Number of child transactions still pending
Amount already paid across all child transactions
Amount still pending across all child transactions
Child transactions the batch was split into
object
Id of this child transaction
Idempotency key of this child transaction - the first child reuses the batch idempotencyKey verbatim, later ones suffix it
Ordering position of this child transaction within the batch
Amount of this child transaction
Status of this child transaction
End-to-end id of this child transaction
Date this child transaction was paid
Error message when this child transaction failed
The current page.
The record count per page.
The request is not valid
Unauthorized Request
Resource not found
An unexpected error occurred inside the server